import CourseDetailPage from '../app-pages/CourseDetailPage';
import CourseHomePage from '../app-pages/CourseHomePage';
import MyCoursePage from '../app-pages/MyCoursePage';
import VideoCoursePlayerPage from '../app-pages/VideoCoursePlayerPage';
import CreateCourse from '../app-pages/CreateCoursePage';
import AllAlbumsPage from '../app-pages/AllAlbumsPage';
import AllCoursesPage from '../app-pages/AllCoursesPage';
import DiscussionBoardPage from '../app-pages/DiscussionBoardPage';

const routes = [
  {
    path: '/course/:token/:platform',
    title: '课程首页',
    component: <CourseHomePage />,
  },
  {
    path: '/all_albums',
    title: '查看更多 -> 全部专辑',
    component: <AllAlbumsPage />,
  },
  {
    path: '/all_courses',
    title: '查看更多 -> 全部课程',
    component: <AllCoursesPage />,
  },
  {
    path: '/my_course/:token/:platform',
    title: '我的课程',
    component: <MyCoursePage />,
    exact: false,
  },
  {
    path: '/detail/:courseCode/:subsetTab/',
    title: '课程详情',
    component: <CourseDetailPage />,
  },
  {
    path: '/create_course',
    title: '创建课程',
    component: <CreateCourse />,
  },
  {
    path: '/video_course_player/:courseCode/:platform?/:token?',
    title: '播放器',
    component: <VideoCoursePlayerPage />,
  },
  {
    path: '/discussionBoard/:courseCode/:token',
    title: '讨论区',
    component: <DiscussionBoardPage />,
  },
];
export default routes;
